Welcome Guest, Not a member yet? Register   Sign In
active record not working need help!!!!
#1

(This post was last modified: 01-01-2021, 06:24 PM by zayno70.)

hello all,
I'am learning codeigniter and i have come across a problem, I have this tutorial that explains CI active records but when i load up the page in my browser i get a 404 page not found error message. The only difference that i can point to is that in the tut the use PHP server and i use XAMMP, i personally don't think that is the problem, i think there is something missing but i don't know what! the tutorial is here  Huh

What i also tried is moving the CI folder to the document root (in linux home/documents/projects/website1) and tried the php server i got the same result 404 page not found error message
Reply
#2

What configurations do you have in your application/config/routes.php file?

You need to be more explicit so we can understand and point out/proffer a solution.
Check out my blog: https://lagbaja.dev
Reply
#3

Also which version of CodeIgniter are you using 3 or 4 ?
What did you Try? What did you Get? What did you Expect?

Joined CodeIgniter Community 2009.  ( Skype: insitfx )
Reply
#4

Probably you have mistyped the name of your controller. The name of the file and the name of it within your controller file on top must be the same.
Reply
#5

Also make sure your not using XAMPP 8.0.0 because it is not compatible with CodeIgniter at this time.

PHP 8.0.0 will not work.
What did you Try? What did you Get? What did you Expect?

Joined CodeIgniter Community 2009.  ( Skype: insitfx )
Reply
#6

(12-29-2020, 03:02 AM)sammyskills Wrote: What configurations do you have in your application/config/routes.php file?

You need to be more explicit so we can understand and point out/proffer a solution.
In my routes.php i have $route['active/insert']='activerecord/store_order';
and in my contrtoller  i have a file called ActiveRecord.php and the class is also called ActiveRecord. I hope that it is enough info.
Reply
#7

(This post was last modified: 12-29-2020, 02:59 PM by zayno70.)

(12-29-2020, 03:37 AM)InsiteFX Wrote: Also which version of CodeIgniter are you using 3 or 4 ?
I'm using version 3.11

(12-29-2020, 12:32 PM)InsiteFX Wrote: Also make sure your not using XAMPP 8.0.0 because it is not compatible with CodeIgniter at this time.

PHP 8.0.0 will not work.
my XAMPP version is 7.4.11
Reply




Theme © iAndrew 2016 - Forum software by © MyBB